#pragma once

#include <qstringlistmodel.h>
#include <QDialog>
#include <graph/server/spec.h>

namespace Ui {
class SpecDialog;
}

namespace Graph::GUI {
class SpecDialog : public QDialog {
  Q_OBJECT
 public:
  explicit SpecDialog(QWidget* parent = nullptr);
  ~SpecDialog();

  QStringList getList() const { return series->stringList(); }
  chart_spec_t getSpec() const;

 private:
  Ui::SpecDialog* ui;

  QStringListModel* series;
};
} // namespace Graph::GUI
